diff --git a/conf/vhost_cbdma.cfg b/conf/vhost_cbdma.cfg
index 66981031..a1392384 100644
--- a/conf/vhost_cbdma.cfg
+++ b/conf/vhost_cbdma.cfg
@@ -1,6 +1,34 @@
 [suite]
 update_expected = True
-test_parameters = {64: [1024], 1518: [1024]}
-test_duration = 60
+test_parameters = {'imix': [1024]}
+test_duration = 20
 accepted_tolerance = 2
-expected_throughput = {'test_perf_dynamic_queue_number_cbdma_vhost_enqueue_operations': {'dynamic_queue2': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'virtio_user_dynamic_queue2_change_to_1': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'Relaunch_dynamic_queue2': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'vhost_userRelaunch_dynamic_queue2_change_to_1': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'Relaunch_vhost_2_cbdma': {64: {1024: 0.00}, 1518: {1024: 0.00}}}, 'test_perf_pvp_spilt_all_path_with_cbdma_vhost_enqueue_operations': {'inorder_mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'inorder_mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'inorder_non_mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'inorder_non_mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'non_mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'non_mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'vector_rx_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'vector_rx_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}},'test_perf_packed_dynamic_queue_number_cbdma_vhost_enqueue_operations': {'dynamic_queue2': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'virtio_user_dynamic_queue2_change_to_1': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'Relaunch_dynamic_queue2': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'vhost_userRelaunch_dynamic_queue2_change_to_1': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'Relaunch_vhost_2_cbdma': {64: {1024: 0.00}, 1518: {1024: 0.00}}},'test_perf_pvp_packed_all_path_with_cbdma_vhost_enqueue_operations': {'inorder_mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'inorder_mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'inorder_non_mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'inorder_non_mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'non_mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'non_mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'vector_rx_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'vector_rx_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}},}
+expected_throughput = {
+    'test_perf_pvp_split_all_path_with_DMA_accelerated_vhost_enqueue': {
+        'inorder_mergeable_path': {'imix': {1024: 0}},
+        'inorder_mergeable_path_RestartVhost': {'imix': {1024: 0}},
+        'inorder_non_mergeable_path': {'imix': {1024: 0}},
+        'inorder_non_mergeable_path_RestartVhost': {'imix': {1024: 0}},
+        'mergeable_path': {'imix': {1024: 0}}, 'mergeable_path_RestartVhost': {'imix': {1024: 0}},
+        'non_mergeable_path': {'imix': {1024: 0}},
+        'non_mergeable_path_RestartVhost': {'imix': {1024: 0}}, 'vector_rx_path': {'imix': {1024: 0}},
+        'vector_rx_path_RestartVhost': {'imix': {1024: 0}}},
+    'test_perf_split_ring_dynamic_queue_number_test_for_DMA_accelerated_vhost_Tx_operations': {
+        'no_cbdma': {'imix': {1024: 0}}, 'used_4_cbdma_num': {'imix': {1024: 0}},
+        'used_8_cbdma_num': {'imix': {1024: 0}}},
+    'test_perf_pvp_packed_all_path_with_DMA_accelerated_vhost_enqueue': {
+        'inorder_mergeable_path': {'imix': {1024: 0}},
+        'inorder_mergeable_path_RestartVhost': {'imix': {1024: 0}},
+        'inorder_non_mergeable_path': {'imix': {1024: 0}},
+        'inorder_non_mergeable_path_RestartVhost': {'imix': {1024: 0}},
+        'mergeable_path': {'imix': {1024: 0}},
+        'mergeable_path_RestartVhost': {'imix': {1024: 0}},
+        'non_mergeable_path': {'imix': {1024: 0}},
+        'non_mergeable_path_RestartVhost': {'imix': {1024: 0}},
+        'vector_rx_path': {'imix': {1024: 0}},
+        'vector_rx_path_RestartVhost': {'imix': {1024: 0}},
+        'vector_rx_path_no_power_of_2': {'imix': {1024: 0}},
+        'vector_rx_path_no_power_of_2_RestartVhost': {'imix': {1024: 0}}},
+    'test_perf_packed_ring_dynamic_queue_number_test_for_DMA_accelerated_vhost_Tx_operations': {
+        'no_cbdma': {'imix': {1024: 0}}, 'used_4_cbdma_num': {'imix': {1024: 0}},
+        'used_8_cbdma_num': {'imix': {1024: 0}}}}