diff --git a/conf/vhost_cbdma.cfg b/conf/vhost_cbdma.cfg
index 66981031..a22fa32c 100644
--- a/conf/vhost_cbdma.cfg
+++ b/conf/vhost_cbdma.cfg
@@ -1,6 +1,62 @@
 [suite]
 update_expected = True
-test_parameters = {64: [1024], 1518: [1024]}
-test_duration = 60
+test_parameters = {'imix': [1024],}
+test_duration = 20
 accepted_tolerance = 2
-expected_throughput = {'test_perf_dynamic_queue_number_cbdma_vhost_enqueue_operations': {'dynamic_queue2': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'virtio_user_dynamic_queue2_change_to_1': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'Relaunch_dynamic_queue2': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'vhost_userRelaunch_dynamic_queue2_change_to_1': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'Relaunch_vhost_2_cbdma': {64: {1024: 0.00}, 1518: {1024: 0.00}}}, 'test_perf_pvp_spilt_all_path_with_cbdma_vhost_enqueue_operations': {'inorder_mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'inorder_mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'inorder_non_mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'inorder_non_mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'non_mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'non_mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'vector_rx_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'vector_rx_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}},'test_perf_packed_dynamic_queue_number_cbdma_vhost_enqueue_operations': {'dynamic_queue2': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'virtio_user_dynamic_queue2_change_to_1': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'Relaunch_dynamic_queue2': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'vhost_userRelaunch_dynamic_queue2_change_to_1': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'Relaunch_vhost_2_cbdma': {64: {1024: 0.00}, 1518: {1024: 0.00}}},'test_perf_pvp_packed_all_path_with_cbdma_vhost_enqueue_operations': {'inorder_mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'inorder_mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'inorder_non_mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'inorder_non_mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'non_mergeable_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'non_mergeable_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'vector_rx_path': {64: {1024: 0.00}, 1518: {1024: 0.00}}, 'vector_rx_path_RestartVhost': {64: {1024: 0.00}, 1518: {1024: 0.00}}},}
+expected_throughput = {
+    'test_perf_pvp_spilt_ring_all_path_vhost_enqueue_operations_with_cbdma':{
+        'inorder_mergeable_path_VA': {'imix': {1024: 0.0},},
+        'inorder_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.0},},
+        'inorder_non_mergeable_path_VA': {'imix': {1024: 0.0},},
+        'inorder_non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.0},},
+        'mergeable_path_VA': {'imix': {1024: 0.0},},
+        'mergeable_path_VA_RestartVhost': {'imix': {1024: 0.0},},
+        'non_mergeable_path_VA': {'imix': {1024: 0.0},},
+        'non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.0},},
+        'vector_rx_path_VA': {'imix': {1024: 0.0},},
+        'vector_rx_path_VA_RestartVhost': {'imix': {1024: 0.0},},
+        'inorder_mergeable_path_PA': {'imix': {1024: 0.0},},
+        'inorder_mergeable_path_PA_RestartVhost': {'imix': {1024: 0.0},},
+        'inorder_non_mergeable_path_PA': {'imix': {1024: 0.0},},
+        'inorder_non_mergeable_path_PA_RestartVhost': {'imix': {1024: 0.0},},
+        'mergeable_path_PA': {'imix': {1024: 0.0},},
+        'mergeable_path_PA_RestartVhost': {'imix': {1024: 0.0},},
+        'non_mergeable_path_PA': {'imix': {1024: 0.0},},
+        'non_mergeable_path_PA_RestartVhost': {'imix': {1024: 0.0},},
+        'vector_rx_path_PA': {'imix': {1024: 0.0},},
+        'vector_rx_path_PA_RestartVhost': {'imix': {1024: 0.0},}},
+    'test_perf_pvp_spilt_ring_all_dynamic_queue_number_vhost_enqueue_operations_with_cbdma':{
+        'with_0_cbdma': {'imix': {1024: 0.0},},
+        'with_4_cbdma': {'imix': {1024: 0.0},},
+        'with_8_cbdma': {'imix': {1024: 0.0},},
+        'with_6_cbdma': {'imix': {1024: 0.0},}},
+    'test_perf_pvp_packed_ring_all_path_vhost_enqueue_operations_with_cbdma':{
+        'inorder_mergeable_path_VA': {'imix': {1024: 0.0},},
+        'inorder_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.0},},
+        'inorder_non_mergeable_path_VA': {'imix': {1024: 0.0},},
+        'inorder_non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.0},},
+        'mergeable_path_VA': {'imix': {1024: 0.0},},
+        'mergeable_path_VA_RestartVhost': {'imix': {1024: 0.0},},
+        'non_mergeable_path_VA': {'imix': {1024: 0.0},},
+        'non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.0},},
+        'vector_rx_path_VA': {'imix': {1024: 0.0},},
+        'vector_rx_path_VA_RestartVhost': {'imix': {1024: 0.0},},
+        'vector_rx_path_not_power_of_2_VA':{'imix': {1024: 0.0},},
+        'vector_rx_path_not_power_of_2_VA_RestartVhost':{'imix': {1024: 0.0},},
+        'inorder_mergeable_path_PA': {'imix': {1024: 0.0},},
+        'inorder_mergeable_path_PA_RestartVhost': {'imix': {1024: 0.0},},
+        'inorder_non_mergeable_path_PA': {'imix': {1024: 0.0},},
+        'inorder_non_mergeable_path_PA_RestartVhost': {'imix': {1024: 0.0},},
+        'mergeable_path_PA': {'imix': {1024: 0.0},},
+        'mergeable_path_PA_RestartVhost': {'imix': {1024: 0.0},},
+        'non_mergeable_path_PA': {'imix': {1024: 0.0},},
+        'non_mergeable_path_PA_RestartVhost': {'imix': {1024: 0.0},},
+        'vector_rx_path_PA': {'imix': {1024: 0.0},},
+        'vector_rx_path_PA_RestartVhost': {'imix': {1024: 0.0},},
+        'vector_rx_path_not_power_of_2_PA':{'imix': {1024: 0.0},},
+        'vector_rx_path_not_power_of_2_PA_RestartVhost':{'imix': {1024: 0.0},}},
+    'test_perf_pvp_packed_ring_all_dynamic_queue_number_vhost_enqueue_operations_with_cbdma':{
+        'with_0_cbdma': {'imix': {1024: 0.0},},
+        'with_4_cbdma': {'imix': {1024: 0.0},},
+        'with_8_cbdma': {'imix': {1024: 0.0},},
+        'with_6_cbdma': {'imix': {1024: 0.0},}},}
\ No newline at end of file