diff --git a/conf/vhost_cbdma.cfg b/conf/vhost_cbdma.cfg
index 08ff1a69..9dbdb77f 100644
--- a/conf/vhost_cbdma.cfg
+++ b/conf/vhost_cbdma.cfg
@@ -4,187 +4,75 @@ test_parameters = {'imix': [1024]}
 test_duration = 20
 accepted_tolerance = 2
 expected_throughput = {
-    'test_perf_pvp_split_all_path_vhost_txq_1_to_1_cbdma': {
-         'inorder_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_VA': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_VA': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_PA': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_PA_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_PA': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_PA_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_PA': {'imix': {1024: 0.000}},
-         'mergeable_path_PA_RestartVhost': {'imix': {1024: 0.000}},
-         'non_mergeable_path_PA': {'imix': {1024: 0.000}},
-         'non_mergeable_path_PA_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_PA': {'imix': {1024: 0.000}},
-         'vectorized_path_PA_RestartVhost': {'imix': {1024: 0.000}}},
-    'test_perf_pvp_split_all_path_multi_queues_vhost_txq_1_to_1_cbdma': {
-         'inorder_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_VA': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_VA': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_PA': {'imix': {1024: 0.000}},
-         'mergeable_path_PA_RestartVhost': {'imix': {1024: 0.000}}},
-    'test_perf_pvp_split_all_path_multi_queues_vhost_txq_M_2_1_cbdma': {
-         'inorder_mergeable_path_VA_1_lcore': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_1_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_1_lcore': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_1_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_1_lcore': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_1_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_1_lcore': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_1_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_1_lcore': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_1_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_3_lcore': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_3_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_8_lcore': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_8_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_PA_8_lcore': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_PA_8_lcore_RestartVhost': {'imix': {1024: 0.000}}},
-    'test_perf_pvp_split_all_path_vhost_txq_1_to_N_cbdma': {
-         'inorder_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_VA': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_VA': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'non_mergeable_path_PA': {'imix': {1024: 0.000}},
-         'non_mergeable_path_PA_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_PA': {'imix': {1024: 0.000}}},
-    'test_perf_pvp_split_all_path_multi_queues_vhost_txq_M_to_N_cbdma': {
-         'inorder_mergeable_path_VA_3dmas': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_3dmas_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_3dmas': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_3dmas_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_3dmas': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_3dmas_RestartVhost': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_3dmas': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_3dmas_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_3dmas': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_3dmas_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_8dmas': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_8dmas_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_PA_8dmas': {'imix': {1024: 0.000}},
-         'vectorized_path_PA_8dmas_RestartVhost': {'imix': {1024: 0.000}}},
-    'test_perf_pvp_split_dynamic_queues_vhost_txq_M_to_N_cbdma': {
-         'inorder_mergeable_path_VA_without_cbdma': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_without_cbdma_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_1:1': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_1:1_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_M<N': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_M<N_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_M>N': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_M>N_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_PA_M>N': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_PA_M>N_RestartVhost': {'imix': {1024: 0.000}}},
-    'test_perf_pvp_packed_all_path_vhost_txq_1_to_1_cbdma': {
-         'inorder_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_VA': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_VA': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_RestartVhost': {'imix': {1024: 0.000}},
+    'test_perf_pvp_split_ring_all_path_multi_queues_vhost_async_operation_with_1_to_1': {
+         'inorder_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'mergeable_VA': {'imix': {1024: 0.000}},
+         'mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'non_mergeable_VA': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_VA': {'imix': {1024: 0.000}},
+         'vectorized_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_mergeable_PA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_PA_RestartVhost': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_split_ring_all_path_multi_queues_vhost_async_operation_with_M_to_1': {
+         'inorder_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'mergeable_VA': {'imix': {1024: 0.000}},
+         'mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'non_mergeable_VA': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_VA': {'imix': {1024: 0.000}},
+         'vectorized_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_mergeable_PA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_PA_RestartVhost': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_split_ring_dynamic_queue_number_vhost_async_operation_with_M_to_N': {
+         'inorder_mergeable_VA_1:N': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_without_CBDMA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_1:1': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_M:N': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_M:N_diff': {'imix': {1024: 0.000}},
+         'mergeable_VA_M:N_diff': {'imix': {1024: 0.000}},
+         'mergeable_PA_M:N_diff': {'imix': {1024: 0.000}},},
+    'test_perf_pvp_packed_ring_all_path_multi_queues_vhost_async_operation_with_1_to_1': {
+         'inorder_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'mergeable_VA': {'imix': {1024: 0.000}},
+         'mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'non_mergeable_VA': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_VA': {'imix': {1024: 0.000}},
+         'vectorized_VA_RestartVhost': {'imix': {1024: 0.000}},
          'vectorized_path_not_power_of_2_VA': {'imix': {1024: 0.000}},
          'vectorized_path_not_power_of_2_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_PA': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_PA_RestartVhost': {'imix': {1024: 0.000}}},
-    'test_perf_pvp_packed_all_path_multi_queues_vhost_txq_1_to_1_cbdma': {
-         'inorder_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_VA': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_VA': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_mergeable_PA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_PA_RestartVhost': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_packed_ring_all_path_multi_queues_vhost_async_operation_with_M_to_1': {
+         'inorder_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA': {'imix': {1024: 0.000}},
+         'inorder_non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'mergeable_VA': {'imix': {1024: 0.000}},
+         'mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'non_mergeable_VA': {'imix': {1024: 0.000}},
+         'non_mergeable_VA_RestartVhost': {'imix': {1024: 0.000}},
+         'vectorized_VA': {'imix': {1024: 0.000}},
+         'vectorized_VA_RestartVhost': {'imix': {1024: 0.000}},
          'vectorized_path_not_power_of_2_VA': {'imix': {1024: 0.000}},
          'vectorized_path_not_power_of_2_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_PA': {'imix': {1024: 0.000}},
-         'mergeable_path_PA_RestartVhost': {'imix': {1024: 0.000}}},
-    'test_perf_pvp_packed_all_path_multi_queues_vhost_txq_M_to_1_cbdma': {
-         'inorder_mergeable_path_VA_1_lcore': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_1_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_1_lcore': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_1_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_1_lcore': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_1_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_1_lcore': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_1_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_1_lcore': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_1_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_not_power_of_2_VA_1_lcore': {'imix': {1024: 0.000}},
-         'vectorized_path_not_power_of_2_VA_1_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_3_lcore': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_3_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_8_lcore': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_8_lcore_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_PA_8_lcore': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_PA_8_lcore_RestartVhost': {'imix': {1024: 0.000}}},
-    'test_perf_pvp_packed_all_path_vhost_txq_1_to_N_cbdma': {
-         'inorder_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_VA': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_VA': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_not_power_of_2_VA': {'imix': {1024: 0.000}},
-         'vectorized_path_not_power_of_2_VA_RestartVhost': {'imix': {1024: 0.000}},
-         'non_mergeable_path_PA': {'imix': {1024: 0.000}},
-         'non_mergeable_path_PA_RestartVhost': {'imix': {1024: 0.000}}},
-    'test_perf_pvp_packed_all_path_multi_queues_vhost_txq_M_to_N_cbdma': {
-         'inorder_mergeable_path_VA_3dmas': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_3dmas_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_3dmas': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_3dmas_RestartVhost': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_3dmas': {'imix': {1024: 0.000}},
-         'mergeable_path_VA_3dmas_RestartVhost': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_3dmas': {'imix': {1024: 0.000}},
-         'non_mergeable_path_VA_3dmas_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_3dmas': {'imix': {1024: 0.000}},
-         'vectorized_path_VA_3dmas_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_not_power_of_2_VA_3dmas': {'imix': {1024: 0.000}},
-         'vectorized_path_not_power_of_2_VA_3dmas_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_8dmas': {'imix': {1024: 0.000}},
-         'inorder_non_mergeable_path_VA_8dmas_RestartVhost': {'imix': {1024: 0.000}},
-         'vectorized_path_PA_8dmas': {'imix': {1024: 0.000}},
-         'vectorized_path_PA_8dmas_RestartVhost': {'imix': {1024: 0.000}}},
-    'test_perf_pvp_packed_dynamic_queues_vhost_txq_M_to_N_cbdma': {
-         'inorder_mergeable_path_VA_without_cbdma': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_without_cbdma_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_1:1': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_1:1_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_M<N': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_M<N_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_M>N': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_VA_M>N_RestartVhost': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_PA_M>N': {'imix': {1024: 0.000}},
-         'inorder_mergeable_path_PA_M>N_RestartVhost': {'imix': {1024: 0.000}}}}
-
+         'inorder_mergeable_PA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_PA_RestartVhost': {'imix': {1024: 0.000}}},
+    'test_perf_pvp_packed_ring_dynamic_queue_number_vhost_async_operation_with_M_to_N': {
+         'inorder_mergeable_VA_1:N': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_without_CBDMA': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_1:1': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_M:N': {'imix': {1024: 0.000}},
+         'inorder_mergeable_VA_M:N_diff': {'imix': {1024: 0.000}},
+         'mergeable_VA_M:N_diff': {'imix': {1024: 0.000}},
+         'mergeable_PA_M:N_diff': {'imix': {1024: 0.000}},},}